[osg-users] Recommended version?

Frank.vanMeurs at cs.uu.nl Frank.vanMeurs at cs.uu.nl
Tue Sep 2 02:10:18 PDT 2008


Hey Robert,

You're right of course, the stable releases also require testing for them
to function properly and if nobody does so, bugs or minor issues just
sneak in. I'd have loved to help out, but unfortunately I haven't
considered myself skilled enough to contribute anything useful. Maybe I
should have done so noneheless.

The case with the Mac OS X install was that, whatever I did, I just didn't
seem to get it all to work. I tried compiling it with provided Xcode
projects (at least 2.5.x), using cmake and with all kinds of
configurations, but without a working osgconv or osgviewer as a result.

Again, I fear this may have been the result of my lack of knowledge on how
to compile and install software properly. As such, I resorted to windows
as the platform is more common and I expect OSG and the install procedure
to be more thoroughly tested and noob-proof. Moreover, this is probably
the case with a lot of other software as well, which justifies the switch
in the end regardless of whether or not I get OSG working.

Thanks a bunch for the answer though... I'll get to it with 2.6.0.


> Hi Frank,
>
> The latest stable release is 2.6 and is the version that most
> developers will use during development and release of applications.
>
> The 2.7.x series is a weekly developer release series that is bleeding
> edge, and doesn't under go the same round of testing a stable releases
> do.
>
> Even stable releases are dependent upon testing out in the community
> to enable us to cover the huge range of build OS version/compiler
> tools/dependencies/hardware out there, it could be that you've got a
> combination that no one tested before 2.6.  If you have a problem just
> describe your setup and other members of the community should be able
> to chip in to help you get things working.   There certainly shouldn't
> be any need to descend to getting a Windows machine to build the OSG.
>
> Robert.
>
> On Tue, Sep 2, 2008 at 9:34 AM,  <Frank.vanMeurs at cs.uu.nl> wrote:
>> Hi everybody,
>>
>> Although I would have loved it to be otherwise, all of my attempts at
>> installing/building OSG on my MacBook Pro (10.5.latest) have failed. So,
>> I
>> have had to resort to arranging a windows machine on which I hope to be
>> able to get things working. However, to circumvent any problems arising
>> from minor bugs possibly left in the code, I would really like to know
>> which OSG version is the recommended one. I'm seeing quite a few tags
>> amongst the sources, but which one is 'the right one'? 2.6.0, 2.7.0 or
>> perhaps 2.7.2?
>>
>> Thanks in advance!
>>
>> Frank
>> _______________________________________________
>> osg-users mailing list
>> osg-users at lists.openscenegraph.org
>> http://lists.openscenegraph.org/listinfo.cgi/osg-users-openscenegraph.org
>>
> _______________________________________________
> osg-users mailing list
> osg-users at lists.openscenegraph.org
> http://lists.openscenegraph.org/listinfo.cgi/osg-users-openscenegraph.org
>




More information about the osg-users mailing list